package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrCircuit;

/**
 * 短接Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrCircuitService 
{
    /**
     * 查询短接
     * 
     * @param id 短接ID
     * @return 短接
     */
    public TPssrCircuit selectTPssrCircuitById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询短接列表
     * 
     * @param tPssrCircuit 短接
     * @return 短接集合
     */
    public List<TPssrCircuit> selectTPssrCircuitList(TPssrCircuit tPssrCircuit);

    /**
     * 新增短接
     * 
     * @param tPssrCircuit 短接
     * @return 结果
     */
    public int insertTPssrCircuit(TPssrCircuit tPssrCircuit);

    /**
     * 修改短接
     * 
     * @param tPssrCircuit 短接
     * @return 结果
     */
    public int updateTPssrCircuit(TPssrCircuit tPssrCircuit);

    /**
     * 批量删除短接
     * 
     * @param ids 需要删除的短接ID
     * @return 结果
     */
    public int deleteTPssrCircuitByIds(Long[] ids);

    /**
     * 删除短接信息
     * 
     * @param id 短接ID
     * @return 结果
     */
    public int deleteTPssrCircuitById(Long id);
}
